//
//  BaseTableViewController.h
//  TeKtoTut
//
//  Created by mave on 12/4/12.
//
//

#import "BaseViewController.h"
#import "ACRefreshControl.h"

@class ActivityView;
@class TableView;

@interface BaseTableViewController : BaseViewController<UITableViewDataSource, UITableViewDelegate>
{
    IBOutlet TableView *        _tableView;
    IBOutlet UIView *           _emptyView;
    ActivityView *              _activityView;
}
@property (nonatomic, assign) RefreshLocation refreshLocation;
@property (nonatomic, assign) BOOL hideRefreshControl;

- (void)updateContent;
- (void)contentUpdated;
- (void)showActivityView;
- (void)hideActivityView;
@end
