//
//  MenuViewController.h
//  TeKtoTut
//
//  Created by Admin on 19/01/2013.
//
//

#import "BaseViewController.h"

@protocol MenuViewControllerDelegate <NSObject>
- (void)didSelectViewController:(UIViewController *)controller;
@end

typedef enum
{
    ViewControllerTypeProfile = 0,
    ViewControllerTypePlace,
    ViewControllerTypeMessages,
    ViewControllerTypePeoples,
    ViewControllerTypeSettings,
    ViewControllerCount
}ViewControllerType;

@interface MenuViewController: UIViewController
{
    IBOutlet UITableView *  _tableView;
    IBOutlet UIImageView *  _profileImageView;
    IBOutlet UILabel *      _profileLabel;
    IBOutlet UIView *       _profileView;
}
@property (nonatomic, weak) id<MenuViewControllerDelegate> delegate;

- (void)showViewControllerWithType:(ViewControllerType)type;
@end
