//
//  ActivityView.m
//  TeKtoTut
//
//  Created by Admin on 02.12.12.
//
//

#import "ActivityView.h"

#import <QuartzCore/QuartzCore.h>

@implementation ActivityView

- (void)customizeView
{
    _actView = [[UIActivityIndicatorView alloc]initWithActivityIndicatorStyle:UIActivityIndicatorViewStyleWhiteLarge];
    [self addSubview:_actView];
    _actView.center = CGPointMake(CGRectGetMidX(self.bounds), CGRectGetMidY(self.bounds));
    self.layer.cornerRadius = 10.0;
    self.layer.masksToBounds = YES;
    self.alpha = 0.6;
    self.backgroundColor = [UIColor blackColor];
}

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:CGRectMake(0, 0, 50, 50)];
    if (self) {
        [self customizeView];
    }
    return self;
}

- (void)startAnimating
{
    [_actView startAnimating];
}

- (void)stopAnimating
{
    [_actView stopAnimating];
}

@end
