//
//  ImagesTableViewCell.h
//  TeKtoTut
//
//  Created by Admin on 08.12.12.
//
//

#import <UIKit/UIKit.h>

typedef enum {
    CellImagePositionLeft = 0,
    CellImagePositionCenter = 1,
    CellImagePositionRight = 2
}CellImagePosition;

@class ImagesTableViewCell;

@protocol ImagesTableViewCellDelegate <NSObject>
- (void)didSelectImageOnPosition:(CellImagePosition)position inCell:(ImagesTableViewCell *)cell;
@end

@interface ImagesTableViewCell : UITableViewCell
{
    UIImageView *   _firstImageView;
    UIImageView *   _secondImageView;
    UIImageView *   _thirdImageView;
}
@property (nonatomic, weak) id<ImagesTableViewCellDelegate>delegate;

- (void)setImage:(UIImage *)image imagePosition:(CellImagePosition)position;
- (void)setImageViewSelected:(BOOL)selected imageViewPosition:(CellImagePosition)position;
@end
