//
//  PartsControl.h
//  TeKtoTut
//
//  Created by Admin on 15/02/2013.
//
//

#import <UIKit/UIKit.h>

typedef enum
{
    PartsControlSelectionStateLeft = 0,
    PartsControlSelectionStateRight = 1
}PartsControlSelectionState;

@interface PartsControl : UIControl
{
    UIImageView *               _imageView;
    UILabel *                   _leftLabel;
    UILabel *                   _rightLabel;
    PartsControlSelectionState  _selectionState;
}
@property (nonatomic, weak)   NSString *rightTitle;
@property (nonatomic, weak)   NSString *leftTitle;
@property (nonatomic, assign) PartsControlSelectionState selectionState;

@end
