//
//  PeopleStatusCell.m
//  TeKtoTut
//
//  Created by Admin on 15/02/2013.
//
//

#import "PeopleStatusCell.h"

@implementation PeopleStatusCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        UIImageView *lineImageView = [[UIImageView alloc]initWithFrame:CGRectMake(20, 10, 280, 1)];
        lineImageView.image = [UIImage imageNamed:@"keyline.png"];
        [self.contentView addSubview:lineImageView];
        
        
        self.peopleStatusLabel = [[UILabel alloc]initWithFrame:CGRectMake(15, 20, 290, 0)];
        _peopleStatusLabel.backgroundColor = [UIColor clearColor];
        _peopleStatusLabel.font = [UIFont systemFontOfSize:12.0];
        _peopleStatusLabel.numberOfLines = 0;
        [self.contentView addSubview:_peopleStatusLabel];
        
        _lineImageView = [[UIImageView alloc]initWithFrame:CGRectMake(20, 0, 280, 1)];
        _lineImageView.image = [UIImage imageNamed:@"keyline.png"];
        [self.contentView addSubview:_lineImageView];
    }
    return self;
}

- (void)setStatus:(NSString *)status
{
    _peopleStatusLabel.text = status;
    [self setNeedsLayout];
    [self layoutIfNeeded];
}

- (void)layoutSubviews
{
    CGSize size = [_peopleStatusLabel.text sizeWithFont:_peopleStatusLabel.font constrainedToSize:CGSizeMake(_peopleStatusLabel.frame.size.width, 1000)];
    
    CGRect statusFrame = _peopleStatusLabel.frame;
    statusFrame.size.height = size.height;
    _peopleStatusLabel.frame = statusFrame;
    
    CGRect lineFrame = _lineImageView.frame;
    lineFrame.origin.y = 30 + size.height;
    _lineImageView.frame = lineFrame;
    
    CGRect cellFrame = self.contentView.frame;
    cellFrame.size.height = size.height + 31;
    self.contentView.frame = cellFrame;
}
@end
