//
//  CommentingTableViewCell.h
//
//  Created by Alexander Chernyshev on 21/08/2012.
//  Copyright (c) 2012 Sibers. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol TextInputViewDelegate<NSObject>
- (void)sendButtonActionWithText:(NSString *)text;
//- (void)sendWink;
@end

@interface TextInputView : UIView <UITextViewDelegate, UIActionSheetDelegate>
{
    UIView *       _containerView;
    UILabel *      _placeholderLabel;
    UIButton *     _sendButton;
    UIButton *     _optionsButton;
    UIImageView *  _backgroundTextImageView;
    UITextView *   _textView;
}
@property (nonatomic, weak)     IBOutlet id<TextInputViewDelegate>delegate;
@property (nonatomic, readonly, getter = isFirstResponder) BOOL firstResponder;

- (IBAction)sendButtonAction:(id)sender;
@end
