//
//  VKWebViewController.h
//  TeKtoTut
//
//  Created by mave on 12/6/12.
//
//

#import <UIKit/UIKit.h>
#import "WebBrowserViewController.h"

@protocol VKControllerDelegate <NSObject>
- (void)didCancelLogin;
- (void)didLoginWithVKID:(NSInteger)vkID vkToken:(NSString *)vkToken;
@end

@interface VKWebViewController : WebBrowserViewController <UIAlertViewDelegate>
@property (nonatomic, weak) id<VKControllerDelegate>delegate;

+ (id)authRequestController NS_RETURNS_NOT_RETAINED;
@end
