//
//  OOWebBrowserViewController.h
//  OpenOcean
//
//  Created by Alexander Chernyshev on 06/09/2012.
//  Copyright (c) 2012 Sibers. All rights reserved.
//

#import "BaseViewController.h"

@interface WebBrowserViewController: BaseViewController <UIWebViewDelegate>
{
    UIWebView *                 _webView;
    IBOutlet UIBarButtonItem *  _backButton;
    IBOutlet UIBarButtonItem *  _updateButton;
    IBOutlet UIBarButtonItem *  _forwardButton;
    IBOutlet UIToolbar *        _browserControllsBar;
    UIView *                    _downloadingView;
}
@property (nonatomic, strong)IBOutlet UIWebView *webView;

- (id)initWithURL:(NSURL *)url NS_RETURNS_RETAINED;
- (id)initWithHTMLString:(NSString *)htmlString NS_RETURNS_RETAINED;

- (void)setBrowserControllsHidden:(BOOL)hidden;

- (IBAction)backWebButtonAction:(id)sender;
- (IBAction)forwardWebButtonAction:(id)sender;
- (IBAction)updateWebButtonAction:(id)sender;
@end
