//
//  ImageLoader.h
//  TeKtoTut
//
//  Created by Admin on 26/01/2013.
//
//

#import <Foundation/Foundation.h>

@protocol ImageLoaderDelegate <NSObject>

- (void)didLoadImage:(UIImage *)image forPath:(NSArray *)indexPaths;
- (void)didFailLoadingImageForPath:(NSArray *)indexPaths;
@end

@interface ImageLoader : NSObject
{
    NSMutableDictionary *    _loadingURLs;
}
@property (nonatomic, weak) id<ImageLoaderDelegate> delegate;
- (id)initWithDelegate:(id<ImageLoaderDelegate>)delegate;
- (void)loadImageForURL:(NSString *)loadingURL atIndexPath:(NSIndexPath *)indexPath;
@end
