//
//  OOLocationManager.h
//  OpenOcean
//
//  Created by Egor Chiglintsev on 7/2/12.
//  Copyright (c) 2012 Sibers. All rights reserved.
//

#import <CoreLocation/CoreLocation.h>

static NSString * const kUserLocationUpdated = @"UserLocationUpdated";

@interface LocationManager : NSObject<CLLocationManagerDelegate>
{
    CLLocationManager *_locationManager;
    CLLocation        *_currentLocation;
}

+ (BOOL) locationServicesEnabled;

+ (void) startUpdatingLocation;
+ (void)  stopUpdatingLocation;

+ (CLLocation *) currentLocation NS_RETURNS_NOT_RETAINED;
@end
