//
//  Message.m
//  TeKtoTut
//
//  Created by mave on 1/10/13.
//
//

#import "Message.h"

@implementation Message

- (id)initWithDictionaryInfo:(NSDictionary *)dictionary
{
    self = [super init];
    if(self) {
        self.ID = [[dictionary objectForKey:@"mid"] integerValue];
        self.senderID = [[dictionary objectForKey:@"uid"]integerValue];
        self.text = [dictionary objectForKey:@"body"];
        self.date = [dictionary objectForKey:@"time"];
        self.read = [[dictionary objectForKey:@"read_state"] boolValue];
    }
    return self;
}

- (void)setText:(NSString *)text{
    NSInteger currentUserId = [[[NSUserDefaults standardUserDefaults]objectForKey:kServerUserID]integerValue];
    NSString *replaceString;
    if(self.senderID == currentUserId) {
        replaceString = NSLocalizedString(@"Вы подмигнули", "Вы подмигнули");
    }
    else {
        replaceString = NSLocalizedString(@";) Вам подмигнули", ";) Вам подмигнули");
    }
    _text = [text stringByReplacingOccurrencesOfString:kWinkMessage withString:replaceString];
}

- (NSString *)text
{
    return _text;
}
@end
