//
//  ObjectsList.h
//  TeKtoTut
//
//  Created by mave on 1/10/13.
//
//

#import <Foundation/Foundation.h>

@protocol ObjectsListDelegate <NSObject>
- (void)didRecieveResponse:(id) response withError:(NSError *)error;
@end

@interface ObjectsList : NSObject
{
    NSInteger       _objectsCount;
    NSString *      _APIMethod;
    NSInteger       _objectsInRequest;
}
@property (nonatomic, strong) NSMutableArray *loadedObjects;
@property (nonatomic, weak) id<ObjectsListDelegate>delegate;

- (id)initWithAPIMethod:(NSString *)method
           objectsCount:(NSInteger)count NS_RETURNS_RETAINED;

- (void)loadObjectsForNextPageWithParameters:(NSString *)parameters;
- (void)updateObjectsWithParameters:(NSString *)parameters;
- (BOOL)isNextObjectsPageAvailable;
@end
