//
//  People.m
//  TeKtoTut
//
//  Created by Admin on 02.12.12.
//
//

#import "People.h"

@implementation People

- (id)initWithDictionary:(NSDictionary *)dictionary
{
    self = [super init];
    if(self) {
        _peopleID = [[dictionary objectForKey:@"id"]integerValue];
        _photoURL = [dictionary objectForKey:@"photo"];
        _firstName = [dictionary objectForKey:@"first_name"];
        _lastName = [dictionary objectForKey:@"last_name"];
        _vkPage = [dictionary objectForKey:@"vkpage"];
        _sex = [dictionary objectForKey:@"sex"];
        _links = [dictionary objectForKey:@"links"];
        
        if(_vkPage) {
            if(!_links) {
                _links = [NSArray arrayWithObject:_vkPage];
            }
            else {
                NSMutableArray *array = [NSMutableArray arrayWithArray:_links];
                _links = nil;
                [array addObject:_vkPage];
                _links = array;
            }
        }
        
        
        NSInteger birthDay = [[dictionary objectForKey:@"bdate"] integerValue];
        if(birthDay != -1) {
            _birthDate = [NSDate dateWithTimeIntervalSince1970:birthDay];
        }
        else {
            _birthDate = nil;
        }
    }
    return self;
}
@end
