//
//  Place.h
//  TeKtoTut
//
//  Created by Admin on 01.12.12.
//
//

#import <Foundation/Foundation.h>

@interface Place : NSObject
@property (nonatomic, readonly) NSInteger   placeID;
@property (nonatomic, readonly) NSString *  name;
@property (nonatomic, readonly) NSString *  address;
@property (nonatomic, readonly) NSString *  mac;
@property (nonatomic, readonly) NSString *  phone;
@property (nonatomic, readonly) NSString *  site;
@property (nonatomic, readonly) NSString *  imageURL;
@property (nonatomic, readonly) float       lat;
@property (nonatomic, readonly) float       lon;
@property (nonatomic, readonly) float       distance;
@property (nonatomic, readonly) NSInteger   males;
@property (nonatomic, readonly) NSInteger   females;
@property (nonatomic, readonly) BOOL        checkin;
@property (nonatomic, readonly) BOOL        visibility;
@property (nonatomic, readonly) NSString *  info;


- (id)initWithDictionary:(NSDictionary *)dictionary NS_RETURNS_RETAINED;
- (void)updateWithDictionary:(NSDictionary *)dictionary;
@end
