//
//  ScrollView.h
//  TeKtoTut
//
//  Created by mave on 2/18/13.
//
//

#import <UIKit/UIKit.h>

@protocol ScrollViewDataSource <NSObject>

- (NSInteger)numberOfPages;
- (UIView *)viewForIndex:(NSInteger)index;
@end

@interface ScrollPageView : UIScrollView <UIScrollViewDelegate>
{
    UIView * _firstView;
    UIView * _secondView;
    UIView * _thirdView;
}
@property (nonatomic, weak) IBOutlet id<ScrollViewDataSource> dataSource;

- (void)reloadContent;
- (void)setPage:(NSInteger)page;
@end
